/*=====================================================================================*/
#include <mega16.h>
unsigned char t;
/*=====================================================================================*/
//      Timer/Counter 0
interrupt [TIM0_COMP] void timer0_comp_isr(void)
{
PORTA.6^=1;
PORTD.3^=1;
}

/*=====================================================================================*/
//      Timer/Counter 2
interrupt [TIM2_COMP] void timer2_comp_isr(void)
{
t++;
if(t==5)
{
PORTA.4^=1;
}
if(t==10)
{
PORTA.4^=1;
PORTA.7^=1;
t=0;
}
}
/*=====================================================================================*/
void main(void)
{
//   
PORTA=0x00;
DDRA=0xFF;

PORTB=0x00;
DDRB=0xFF;

PORTC=0x00;
DDRC=0xFF;

PORTD=0x00;
DDRD=0xFF;

//  Timer/Counter 0
TCCR0=0x0A;
TCNT0=0x00;
OCR0=0x19;

//  Timer/Counter 2
ASSR=0x00;
TCCR2=0x1A;
TCNT2=0x00;
OCR2=0x23;

//    Timer(s)/Counter(s)
TIMSK=0x82;
// TIMSK=0x02; //    Timer/Counter 0

//   
#asm ("sei")
}
/*=====================================================================================*/